package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFS85 extends MwfRequest<MWFS85, MWFS85Response> {

    @Parameter(name = "PCOCID")
    MWFS85 pcocid(Long pcocid);
    @Parameter(name = "PFORID")
    MWFS85 pforid(Long pforid);
    @Parameter(name = "PMSGDATA")
    MWFS85 pmsgdata(String pmsgdata);
    @Parameter(name = "PPHONENUMBER")
    MWFS85 pphonenumber(String pphonenumber);
    @Parameter(name = "PREFID")
    MWFS85 prefid(Long prefid);
    @Parameter(name = "PSYSID")
    MWFS85 psysid(Long psysid);
}
